org.jacoco.core.analysis

## Interface IBundleCoverage

All Superinterfaces:
  ICoverageNode

All Known Implementing Classes:
  BundleCoverageImpl

    public interface IBundleCoverage
    extends ICoverageNode

Coverage data of a bundle. A bundle groups a collection of packages.

See Also:
  `IPackageCoverage`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<IPackageCoverage>` `getPackages()` Returns all packages contained in this bundle.

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Method Detail

#### getPackages

    Collection<IPackageCoverage> getPackages()

Returns all packages contained in this bundle.

Returns:
  all packages